function [sol] = Bisezione(a,b,f,tol)
if (f(a)*f(b) > 0)
    disp('La funzione data non soddisfa le ipotesi del Teorema degli zeri')
    sol = NaN;
else 
    while (abs(b-a) > tol)
        c = (a + b)/2;
        if f(c)==0
            break
        else if (f(c)*f(a) < 0)
                b = c;
            else % caso f(c)*f(a) > 0
                a = c;
            end
        end
    end
    sol = c;
end
                
        